Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.template
Class ImportAttributeDirective

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.tiles.velocity.template.ImportAttributeDirective

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

    public class ImportAttributeDirective

extends org.apache.velocity.runtime.directive.Directive

Wraps `ImportAttributeModel` to be used in Velocity. For the list of parameters, see `ImportAttributeModel.getImportedAttributes(org.apache.tiles.TilesContainer, String, String, boolean, Object...)`.

Since:
  2.2.2
Version:
  $Rev: 902403 $ $Date: 2010-01-23 14:31:17 +0100 (sab, 23 gen 2010) $

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`ImportAttributeDirective()` Default constructor.
`ImportAttributeDirective(ImportAttributeModel model)` Constructor.

Method Summary
`java.lang.String` | `getName()`
`int` | `getType()`
`boolean` | `render(org.apache.velocity.context.InternalContextAdapter context, java.io.Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, getTemplateName, init, setLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportAttributeDirective

    public ImportAttributeDirective()

  Default constructor.

  Since:
    2.2.2

### ImportAttributeDirective

    public ImportAttributeDirective(ImportAttributeModel model)

  Constructor.

  Parameters:
    `model` - The used model.
  Since:
    2.2.2

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `org.apache.velocity.runtime.directive.Directive`

### getType

    public int getType()

  Specified by:
    `getType` in class `org.apache.velocity.runtime.directive.Directive`

### render

    public boolean render(org.apache.velocity.context.InternalContextAdapter context,
                          java.io.Writer writer,
                          org.apache.velocity.runtime.parser.node.Node node)

  Specified by:
    `render` in class `org.apache.velocity.runtime.directive.Directive`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.